View Issue Details

IDProjectCategoryView StatusLast Update
0018730MediaMonkey 5Syncpublic2022-04-20 21:58
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.3Fixed in Version5.0.3 
Summary0018730: Cloud sync: Some tracks are non-deletable
DescriptionBarry shared his DB (ticket # 3356) where some of his cloud tracks previously synced to Google Drive are not deletable by MM5 (even if the tracks actually no longer exists in Google Drive), the error is 404 and the track(s) can't be removed from MM5 library.

1) File that no longer exists there (returns HTTP 404) should be considered as deleted, i.e. MM5 should not report any error and just delete them also from the metadata libraries.

2) Deleting tracks outside of MM5 and then syncing with MM5 to [x] Delete other files and playlists on ... MM5 no longer see the tracks and fails to clean up the metadata database properly (e.g. leaving some dummy links in the MM5.DB) which subsequently can causes issue (e.g. when such a file is re-added on sync list then it is copied under the old mask and not the mask configured in Sync Profile > Locations)
TagsNo tags attached.
Fixed in build2606

Activities

Ludek

2022-01-06 11:51

developer   ~0066525

image.png (28,825 bytes)   
image.png (28,825 bytes)   

Ludek

2022-01-06 12:50

developer   ~0066526

Last edited: 2022-01-06 15:04

View 2 revisions

Item 1) fixed in 5.0.3.2600

Item 2) is also fixed in 5.0.3.2600

barrym

2022-02-03 07:13

reporter   ~0066829

I am still seeing the 1st issue with v2604
Track I am trying to delete from MM5: https://www.dropbox.com/s/7hw37qlsdpq0lus/track%20I%20am%20trying%20to%20delete.png?dl=0
I take option "Delete all copies and remove from the database" ... ie. expecting that will delete from MM db, and local track copes, and copy sync'd to Google Drive.

nb. The local track copy and the Google Drive copies no longer exists. ... Only the db entry exists when I start the Remove option.

There is no error reported in the UI, but the track is not deleted from the mm.db

Debug log: https://www.dropbox.com/s/g13unkmgjpqnu11/deletion%20fails.LOG?dl=0

Ludek

2022-02-04 14:11

developer   ~0066850

Last edited: 2022-02-04 14:14

View 4 revisions

I tested directly on your older DB and the track has been removed successfuly, also based on your last log the track has been removed successfuly.
Could you please add this track to separate playlist called "Test for ludek" and share such a MM5.DB with me?

Add the link to the DB here as private note (or PM me it).
Thanks!

EDIT: OK, take it back, just replicated on one of your older DBs that I still have here for testing.
So no more info needed.

Ludek

2022-02-04 15:27

developer   ~0066852

Fixed in 2606

peke

2022-04-20 21:58

developer   ~0067640

Verified 2615

Unable to replicate.